| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RemoteUnsupportedError Class Reference

Exception thrown by the RPC API when the server reports an unsupported operation. More...

`#include <RemoteUnsupportedError.hpp>`

Inheritance diagram for RemoteUnsupportedError:
[legend]

## Public Member Functions

| RemoteUnsupportedError ()
| Constructor.
| RemoteUnsupportedError (const char *msg)
| Constructor with custom message.
| RemoteUnsupportedError (const RemoteUnsupportedError &other) noexcept=default
| Copy constructor.
RemoteUnsupportedError & | operator= (const RemoteUnsupportedError &other) noexcept=default
| Copy assignment.
virtual | ~RemoteUnsupportedError () noexcept=default
| Destructor.
Public Member Functions inherited from RpcRemoteException
| RpcRemoteException (RemoteExceptionCode_t code, const char *msg)
| Constructor.
| RpcRemoteException (const RpcRemoteException &other) noexcept=default
| Copy constructor.
RpcRemoteException & | operator= (const RpcRemoteException &other) noexcept=default
| Copy assignment.
virtual | ~RpcRemoteException () noexcept=default
| Destructor.
RemoteExceptionCode_t | code () const noexcept
| Get the exception code.
Public Member Functions inherited from RpcException
| RpcException (const std::string &message)
| Constructor.
| RpcException (const char *message)
| Constructor.
| RpcException (const RpcException &other) noexcept=default
| Copy constructor.
RpcException & | operator= (const RpcException &other) noexcept=default
| Copy assignment.
virtual | ~RpcException () noexcept=default
| Destructor.
const char * | what () const noexcept
| Returns the explanatory string.

## Detailed Description

Exception thrown by the RPC API when the server reports an unsupported operation.

## Constructor & Destructor Documentation

## ◆ RemoteUnsupportedError() [1/3]

RemoteUnsupportedError | ( |  | ) |

inline

Constructor.

## ◆ RemoteUnsupportedError() [2/3]

RemoteUnsupportedError | ( | const char * | msg | ) |

inline

Constructor with custom message.

Parameters

  msg | The exception message.

## ◆ RemoteUnsupportedError() [3/3]

RemoteUnsupportedError | ( | const RemoteUnsupportedError & | other | ) |

default noexcept

Copy constructor.

## ◆ ~RemoteUnsupportedError()

virtual ~RemoteUnsupportedError | ( |  | ) |

virtual default noexcept

Destructor.

## Member Function Documentation

## ◆ operator=()

RemoteUnsupportedError & operator= | ( | const RemoteUnsupportedError & | other | ) |

default noexcept

Copy assignment.

The documentation for this class was generated from the following file:

- include/fastdds/dds/rpc/exceptions/RemoteUnsupportedError.hpp